oracle.jdbc.aq

## Enum AQDequeueOptions.DeliveryFilter

- java.lang.Object
- - java.lang.Enum<AQDequeueOptions.DeliveryFilter>
  - - oracle.jdbc.aq.AQDequeueOptions.DeliveryFilter

All Implemented Interfaces:
  Serializable, Comparable<AQDequeueOptions.DeliveryFilter>

Enclosing class:
  AQDequeueOptions

    public static enum AQDequeueOptions.DeliveryFilter
    extends Enum<AQDequeueOptions.DeliveryFilter>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BUFFERED`
`PERSISTENT`
`PERSISTENT_OR_BUFFERED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static AQDequeueOptions.DeliveryFilter` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AQDequeueOptions.DeliveryFilter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PERSISTENT

    public static final AQDequeueOptions.DeliveryFilter PERSISTENT

#### BUFFERED

    public static final AQDequeueOptions.DeliveryFilter BUFFERED

#### PERSISTENT_OR_BUFFERED

    public static final AQDequeueOptions.DeliveryFilter PERSISTENT_OR_BUFFERED

### Method Detail

#### values

    public static AQDequeueOptions.DeliveryFilter[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AQDequeueOptions.DeliveryFilter c : AQDequeueOptions.DeliveryFilter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AQDequeueOptions.DeliveryFilter valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.